Bug 1414042 - [RFE] npm and nodejs plugin support for RHSCL
Summary: [RFE] npm and nodejs plugin support for RHSCL
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Pavel Moravec
QA Contact: Miroslav Hradílek
URL: https://github.com/sosreport/sos/pull...
Whiteboard:
Depends On:
Blocks: 1473612 1414044
TreeView+ depends on / blocked
 
Reported: 2017-01-17 15:29 UTC by Miroslav Hradílek
Modified: 2018-03-03 18:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1414044 (view as bug list)
Environment:
Last Closed: 2018-03-03 18:58:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Miroslav Hradílek 2017-01-17 15:29:24 UTC
Description of problem:
Currently npm and nodejs plugins are triggered only by system packages of nodejs and npm. Red Hat on the other hand ships its nodejs as Software Collections. Valuable information about our packages is lost.

Could we support collecting things from RHSCL installations too?

See https://bugzilla.redhat.com/show_bug.cgi?id=1368547#c18

sos-3.3-5.el7_3.noarch misses this.

Comment 1 Pavel Moravec 2017-08-30 11:14:50 UTC
Upstream PR pending on bkabrda.

Slavek, could you please followup on Bryn's comments there to make this BZ / PR into RHEL 7.5?

Comment 2 Bohuslav "Slavek" Kabrda 2017-09-11 09:13:31 UTC
Hi, as noted in the upstream PR, I'm no longer interested in that functionality and I don't have time to work on it either. Feel free to close this bug.

Comment 3 Pavel Moravec 2018-03-03 18:58:33 UTC
(In reply to Bohuslav "Slavek" Kabrda from comment #2)
> Hi, as noted in the upstream PR, I'm no longer interested in that
> functionality and I don't have time to work on it either. Feel free to close
> this bug.

CLosing.


Note You need to log in before you can comment on or make changes to this bug.